Skip to main content
GET
/
openapi
/
v1
/
billing
/
apikey
/
bill
/
list
curl --request GET \
  --url 'https://api.novita.ai/openapi/v1/billing/apikey/bill/list?cycleType=Day&category=llm&startTime=1767225600&endTime=1769817599' \
  --header 'Authorization: Bearer <API_KEY>'
{
  "bills": [
    {
      "userId": "<string>",
      "startTime": "1767225600",
      "endTime": "1767311999",
      "billingMethod": 1,
      "productName": "<string>",
      "category": "llm",
      "ownerID": "<api_key_id>",
      "billNum0": "1000",
      "billNum1": "500",
      "basePrice0": "0",
      "basePrice1": "0",
      "discountPrice0": "0",
      "discountPrice1": "0",
      "amount": "10000",
      "voucherAmount": "0",
      "payAmount": "10000",
      "payAmountDisplay": 1,
      "pricePrecision": 1,
      "productId": "<string>",
      "apikeyName": "<string>",
      "apikeyMask": "sk-****"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://novita.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Query Parameters

cycleType
string
required
Billing granularity. Options: Day, Week, Month.
category
string
Product type or business category. Common values: llm, gen_api, web_search.
productName
string
Product name. Supports fuzzy matching.
startTime
int64
required
Query start time, Unix timestamp in seconds. Must be greater than or equal to 2026-01-01 00:00:00.
endTime
int64
required
Query end time, Unix timestamp in seconds. Must be greater than startTime.
This endpoint only supports data after 2026-01-01 00:00:00. It does not support pagination. Keep each query range within 31 days. For longer ranges, split requests by calendar month or calendar week.

Response Parameters

bills
object[]
required
API Key bill list.
curl --request GET \
  --url 'https://api.novita.ai/openapi/v1/billing/apikey/bill/list?cycleType=Day&category=llm&startTime=1767225600&endTime=1769817599' \
  --header 'Authorization: Bearer <API_KEY>'
{
  "bills": [
    {
      "userId": "<string>",
      "startTime": "1767225600",
      "endTime": "1767311999",
      "billingMethod": 1,
      "productName": "<string>",
      "category": "llm",
      "ownerID": "<api_key_id>",
      "billNum0": "1000",
      "billNum1": "500",
      "basePrice0": "0",
      "basePrice1": "0",
      "discountPrice0": "0",
      "discountPrice1": "0",
      "amount": "10000",
      "voucherAmount": "0",
      "payAmount": "10000",
      "payAmountDisplay": 1,
      "pricePrecision": 1,
      "productId": "<string>",
      "apikeyName": "<string>",
      "apikeyMask": "sk-****"
    }
  ]
}